Page MenuHomePhabricator

received-routes returns "Inbound soft reconfiguration not enabled" despite being enabled
Closed, ResolvedPublicBUG

Description

When running something like:

show ip bgp neighbors 169.254.169.254 received-routes

The following is returned:

% Inbound soft reconfiguration not enabled

Despite soft reconfiguration being enabled:

show protocols bgp 397143 neighbor 169.254.169.254 address-family ipv4-unicast soft-reconfiguration
 inbound

But advertised-routes seems to work fine.

Details

Difficulty level
Unknown (require assessment)
Version
1.2.0-rc6
Why the issue appeared?
Will be filled on close
bswinnerton added a comment.EditedNov 8 2018, 10:36 PM

This appears to be a regression somewhere between 1.1.8 to 1.2.0-rc6.

With the following configuration in 1.1.8:

protocols {
    bgp 397143 {
        neighbor 169.254.169.254 {
            ebgp-multihop 2
            nexthop-self
            remote-as 64515
            soft-reconfiguration {
                inbound
            }
        }
        parameters {
            router-id 23.157.160.2
        }
    }
}

The command show ip bgp neighbors 169.254.169.254 received-routes works.

This does not work in 1.2.0-rc6 with the following, similar configuration:

bgp 397143 {
    neighbor 169.254.169.254 {
        address-family {
            ipv4-unicast {
                nexthop-self
                soft-reconfiguration {
                    inbound
                }
            }
        }
        ebgp-multihop 2
        remote-as 64515
    }
    parameters {
        router-id 23.157.160.2
    }
}
syncer triaged this task as Normal priority.Nov 9 2018, 12:50 PM
From 739d0815786aa642292335e47d14d99a34f0e68d Mon Sep 17 00:00:00 2001
From: Daniel Husand <daniel@fnutt.net>
Date: Fri, 9 Nov 2018 15:03:58 +0100
Subject: [PATCH] T982: soft-reconfiguration inbound now enables correctly on
 ipv4 peers

---
 scripts/bgp/vyatta-bgp.pl | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

diff --git a/scripts/bgp/vyatta-bgp.pl b/scripts/bgp/vyatta-bgp.pl
index 5b443301..b1270a1b 100755
--- a/scripts/bgp/vyatta-bgp.pl
+++ b/scripts/bgp/vyatta-bgp.pl
@@ -547,13 +547,13 @@ my %qcom = (
       set => 'router bgp #3 ; neighbor #5 shutdown',
       del => 'router bgp #3 ; no neighbor #5 shutdown',
   },
-  'protocols bgp var neighbor var soft-reconfiguration' => {
+  'protocols bgp var neighbor var address-family ipv4-unicast soft-reconfiguration' => {
       set => undef,
       del => undef,
   },
-  'protocols bgp var neighbor var soft-reconfiguration inbound' => {
-      set => 'router bgp #3 ; neighbor #5 soft-reconfiguration inbound',
-      del => 'router bgp #3 ; no neighbor #5 soft-reconfiguration inbound',
+  'protocols bgp var neighbor var address-family ipv4-unicast soft-reconfiguration inbound' => {
+      set => 'router bgp #3 ; address-family ipv4 unicast ; neighbor #5 soft-reconfiguration inbound',
+      del => 'router bgp #3 ; address-family ipv4 unicast ; no neighbor #5 soft-reconfiguration inbound',
   },
   'protocols bgp var neighbor var strict-capability-match' => {
       set => 'router bgp #3 ; neighbor #5 strict-capability-match',
--
2.11.0
dmbaturin closed this task as Resolved.Nov 11 2018, 9:03 AM
dmbaturin claimed this task.